<?php
/*
パンくずリストを表示
背景をページ毎に用意することが可能。
フロントページに固定ページが設定され、なおかつ
指定ページにアイキャッチが指定されていたら
アイキャッチをパンくずの下部に。
指定ページにアイキャッチがないか、
フロントページが固定ページではない場合、パンくずのみを表示する

アイキャッチがない場合、
フロントページの画像を流用する

投稿の場合はフロントページの画像を背景として<h2>でカテゴリをかぶせる



*/


if(!is_front_page()){
	$frontPageId = get_option( 'page_on_front' ); 
	
	
	
	//フロントページのアイキャッチの存在を確認
	if (has_post_thumbnail($frontPageId)){

		//通常ページタイトル
		if(is_page()){
//		if(!is_front_page()&&is_page()){
			if (has_post_thumbnail()) {//サムネイルの有無の確認
				/* サムネイル取得 */
				$the_pic_id = get_post_thumbnail_id();
				$image = wp_get_attachment_image_src($the_pic_id, full);
				$image = $image[0];
				
			}
			
			else{
				/*フロント流用*/
				$the_pic_id = get_post_thumbnail_id($frontPageId);
				$image = wp_get_attachment_image_src($the_pic_id, full);
				$image = $image[0];
				$notfound = 1;
			}
			
			
			
			
			
			?>
			<div id="pageh">
				<h2><img src="<?php echo $image;?>" title="<?php the_title();?>" alt="<?php the_title();?>"></h2>
				<?php if($notfound):?><p class="title"><?php the_title();?></p><?php endif;?>
			<?php if(function_exists('bcn_display')): ?>
			<div id="breadcrumb"><?php bcn_display();?></div>
			<?php endif;?>
			</div>			
			<?php 
			
		}
		
		//カテゴリ(シングル含む)タイトル
		if (is_category()||is_single()){
			if(is_category()){
//				$catID = get_query_var( 'cat' );
//				$catInfo = get_category($catID);
//				$catName = $catInfo->cat_name;
				
				$catName = get_category(get_query_var( 'cat' ))->cat_name;
			}
			else if(is_single()){
				$cates = get_the_category();
				$i = 0;
				$use_category = 0;
				foreach ($cates as $cate) {
				    //未分類を除外した配列の一番初めのカテゴリを選択
				    if($cate->category_parent > 0 && $use_category == 0) {
				        $use_category = $i;
				    }
				    $i++;
				}
				$cate = $cates[$use_category];
				$catName = $cate->name;
			}
			
			
			//ファイルへのリンクを作成
//			$titleimgpath = get_template_directory().'/images/pageh/'.$catslug.'.jpg';
//			//ファイルの有無を確認
//			if (file_exists($titleimgpath)) {
//				$image = get_bloginfo( 'template_url' ).'/images/pageh/'.$catslug.'.jpg';
//				
//			}else{
//				$image = get_bloginfo( 'template_url' ).'/images/pageh/_default.jpg';
//				$notfound = 1;
//			}
			
			/*フロント流用*/
			$the_pic_id = get_post_thumbnail_id($frontPageId);
			$image = wp_get_attachment_image_src($the_pic_id, full);
			$image = $image[0];
			$notfound = 1;
			
?>			
<div id="pageh">
	<h2><img src="<?php echo $image;?>" title="<?php echo $catName;?>" alt="<?php echo $catName;?>"></h2>
	<?php if($notfound):?><p class="title"><?php echo $catName;?></p><?php endif;?>
<?php if(function_exists('bcn_display')): ?>
<div id="breadcrumb"><?php bcn_display();?></div>
<?php endif;?>
</div>
<?php
			
			
			
		}
		
		?>
		
		
		
		
		
		<!--def有り 背景表示-->
		

		
		
		
		<?php
		
		
		
	}
	else{
		//フロントページのアイキャッチなし(パンくずのみ表示)
		if(function_exists('bcn_display')){
		?>
		<div id="breadcrumb"><?php bcn_display();?></div>
		<?php
		}
	}
	
	

}
?>


